.slidercarouselindex {
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  margin: 0 auto; /* Cambia 'auto' por '0 auto' para asegurarte de que arriba/abajo sea 0 */
  padding-top: 0 !important;
}
/* Recuadro del texto */
.slidercarouselindex .carousel-caption {
  background-color: rgba(
    0,
    0,
    0,
    0.4
  ); /* Un poco más oscuro para mejor lectura */
  padding: 1rem; /* Bordes suaves para que no se vea tan rígido */
  bottom: 10%; /* Lo sube un poco para que no pegue con los indicadores */
}

.slidercarouselindex .carousel-item img {
  width: 100%;
  height: auto;
  object-fit: cover; /* Evita que la imagen se deforme en móviles */
}

/* OPCIONAL: Si quieres que la grúa no se corte mucho, 
   puedes probar 'object-position: 70% center' 
   para mover la imagen un poco a la izquierda */

/* Transiciones suaves */
.slidercarouselindex .carousel-item {
  transition:
    transform 0.8s ease-in-out,
    opacity 0.8s ease-in-out;
}

/* Mobile */
@media (max-width: 768px) {
  .slidercarouselindex .carousel-item img {
    /* Cambiamos el alto fijo por proporcional */
    width: 100% !important;
    height: auto !important;
    margin-top: 0 !important;

    /* Evita que queden espacios raros si el contenedor mide más */
    object-fit: contain;
  }

  .slidercarouselindex .carousel-caption h2 {
    font-size: 1.1rem;
    font-weight: bold;
  }
}
